Name: sysstat
Version: 4.0.7
Release: alt2

Summary: The sar and iostat system monitoring commands
License: GPL
Group: System/Base
Url: http://perso.wanadoo.fr/sebastien.godard/
Source: http://perso.wanadoo.fr/sebastien.godard/sysstat-%version.tar.bz2
Source1: %name.cron.hourly
Source2: %name.cron.daily

# we run sa2 script (daily summary) at 4am so we now change build
# configuration to build script that takes prev day data
Patch0: sysstat-4.0.7-config.patch
# be more verbose about which files are corrupt
Patch1: sysstat-4.0.1-verbose.patch
Patch2: sysstat-nls.patch
Patch3: sysstat-opt.patch
# add LC_CTYPE initialization: fix russian messages
Patch4: sysstat-4.0.7-setlocale.patch

%description
This package provides the sar and iostat commands for the Linux
operating system, similar to their traditional UNIX counterparts.
They enable system monitoring of disk, network, and other IO activity.

%prep
%setup -q
%patch0 -p1 -b .config
%patch1 -p1 -b .verbose
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build

%make_build CFLAGS="$RPM_OPT_FLAGS"

%install
%makeinstall
# cron scripts must have exec bit to be taken by run-parts
install -p -m750 -D %SOURCE1 $RPM_BUILD_ROOT%_sysconfdir/cron.hourly/%name
install -p -m750 -D %SOURCE2 $RPM_BUILD_ROOT%_sysconfdir/cron.daily/%name

%find_lang %name

%preun
if [ "$1" = 0 ]; then
	# Remove sa logs if removing %name completely.
	rm -f /var/log/sa/*
fi

%files -f %name.lang
%config(noreplace) %_sysconfdir/cron.*/*
%_bindir/*
%_libdir/sa
%_mandir/man?/*
%attr(750,root,adm) /var/log/sa
%doc CHANGES CREDITS FAQ README

%changelog
* Sat Aug 30 2003 Victor Forsyuk <force@altlinux.ru> 4.0.7-alt2
- Fixed NLS initialization (patch adding LC_CTYPE setlocale setting).
- Summarize previous day's activity with sa2, not current.
- Fixed permissions of cron scripts (added exec bit).

* Mon Jun 09 2003 Victor Forsyuk <force@altlinux.ru> 4.0.7-alt1
- Added URL.
- Added FAQ to package docs.
- nls patch from PLD.
- Proper configuration before build.

* Wed Sep 25 2002 Stanislav Ievlev <inger@altlinux.ru> 4.0.6-alt1
- 4.0.6

* Mon Oct 15 2001 Stanislav Ievlev <inger@altlinux.ru> 4.0.2-alt1
- 4.0.2

* Sat Feb 24 2001 Dmitry V. Levin <ldv@fandra.org> 3.3.5-ipl1
- 3.3.5

* Sun Feb 04 2001 Dmitry V. Levin <ldv@fandra.org> 3.3.4-ipl1
- 3.3.4

* Sat Jan 27 2001 Dmitry V. Levin <ldv@fandra.org> 3.3.3-ipl1
- RE adaptions.

* Tue Jan 17 2001 Preston Brown <pbrown@redhat.com>
- iostat man page fixes

* Fri Jan 05 2001 Preston Brown <pbrown@redhat.com>
- 3.3.3, crontab fixes

* Fri Dec 29 2000 Bill Nottingham <notting@redhat.com>
- fix prereqs

* Fri Oct 13 2000 Preston Brown <pbrown@redhat.com>
- crontab entry was still incorrect.  Fixed.

* Mon Oct 09 2000 Preston Brown <pbrown@redhat.com>
- make sure disk accounting is enabled to fix iostat -l, -p (#16268)
- crontab entries were missing the user (root) to run as (#18212)

* Tue Aug 22 2000 Preston Brown <pbrown@redhat.com>
- enable IO accounting now that kernel supports it

* Wed Aug 16 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix buildrooting (#16271)

* Tue Aug 08 2000 Preston Brown <pbrown@redhat.com>
- bugfixes in 3.2.4 cause our inclusion. :)

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Thu Jun 29 2000 Preston Brown <pbrown@redhat.com>
- 3.2.3 fixes SMP race condition

* Tue Jun 20 2000 Preston Brown <pbrown@redhat.com>
- FHS macros
- 3.2.2

* Fri May 26 2000 Preston Brown <pbrown@redhat.com>
- packaged for Winston
- change va patch to indicate kernel is not patched for iostat accounting.
  re-enable if our stock kernel gets this patch.
- upgrade to 3.2.
- install crontab entry.

* Sun Dec 12 1999  Ian Macdonald <ian@caliban.org>
- upgraded to 2.2

* Fri Oct 29 1999  Ian Macdonald <ian@caliban.org>
- first RPM release (2.1)
